Token payroll

Validate And Calculate Employee Payroll Data

Validates legacy payroll employee rows, computes the fiat/stablecoin net pay split and stores it on DRAFT payrolls.

POSThttps://api.toku.com/stablecoin-payroll/validate-and-calculate-employee-payroll-data

Not available to API keys.

curl --request POST \
  --url 'https://api.toku.com/stablecoin-payroll/validate-and-calculate-employee-payroll-data' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "payrollId": "string",
  "employeeData": [
    {
      "employeeId": "string",
      "employeeName": "string",
      "totalCompensation": 0,
      "totalDeduction": 0,
      "currency": "string",
      "stableCoinPercentage": 0,
      "minimumWage": 0,
      "id": "string"
    }
  ],
  "isCSVUploaded": true
}'
200 response
{
  "validatedEmployeeData": [
    {
      "id": "string",
      "employeeId": "string",
      "employeeName": "string",
      "totalCompensation": 0,
      "totalDeduction": 0,
      "currency": "string",
      "stableCoinPercentage": 0,
      "minimumWage": 0,
      "netPayFiat": 0,
      "netPayStableCoin": 0,
      "hasTGAProfile": true,
      "hasValidWallet": true,
      "hasPayrollError": true,
      "hasMinimumWageError": true
    }
  ],
  "error": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

payrollIdstringrequired

Allowed: 1 to 200 characters

employeeDataobject[]required

Allowed: at most 10000 items

Show child attributes
employeeIdstringrequired

Allowed: 1 to 200 characters

employeeNamestringrequired

Allowed: at most 200 characters

totalCompensationnumberrequired
totalDeductionnumberrequired
currencystringrequired

Allowed: 1 to 20 characters

stableCoinPercentagenumber

Allowed: 0 to 100

minimumWagenumber
idstringrequired

Allowed: 1 to 200 characters

isCSVUploadedboolean

Response

200Successful response
validatedEmployeeDataobject[]required
Show child attributes
idstringrequired
employeeIdstringrequired
employeeNamestringrequired
totalCompensationnumberrequired
totalDeductionnumberrequired
currencystringrequired
stableCoinPercentagenumber
minimumWagenumber
netPayFiatnumberrequired
netPayStableCoinnumberrequired
hasTGAProfilebooleanrequired
hasValidWalletbooleanrequired
hasPayrollErrorbooleanrequired
hasMinimumWageErrorbooleanrequired
errorstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits